CREATE TABLE ffs_plugin_hosted (
    PLUGIN_HOSTED_ID                NUMBER(5, 0)  ,
    SALT                            VARCHAR2(64)  ,
    NAME                            VARCHAR2(4000),
    CURRENT_PLUGIN_HOSTED_VER_ID    NUMBER(5, 0)  ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    PLUGIN_HOSTED_ID                NUMBER(5, 0)  ,
    SALT                            VARCHAR2(64)  ,
    NAME                            VARCHAR2(4000),
    CURRENT_PLUGIN_HOSTED_VER_ID    NUMBER(5, 0)  ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CONSTRAINT pk_ffs_plugin_hosted PRIMARY KEY (PLUGIN_HOSTED_ID, PLUGIN_HOSTED_ID)
);
